Bug 1624199 - [RFE] Provide ability for UI to reflect non-RedHat Errata types [NEEDINFO]
Summary: [RFE] Provide ability for UI to reflect non-RedHat Errata types
Keywords:
Status: NEW
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.9.0
Hardware: All
OS: Linux
urgent
high with 1 vote vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Akhil Jha
URL:
Whiteboard:
: 1222034 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-31 00:42 UTC by Dylan Gross
Modified: 2021-11-24 13:53 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-13 17:40:05 UTC
Target Upstream Version:
dsinglet: needinfo? (bbuckingham)


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1451913 0 None None None 2018-11-06 15:47:42 UTC

Description Dylan Gross 2018-08-31 00:42:15 UTC
1. Proposed title of this feature request

   [RFE] Provide ability for UI to reflect non-RedHat Errata types

3. What is the nature and description of the request?

   Errata synced from 3rd party repos can contain metadata that does not match up with the 3 main Red Hat errata types reflected in the UI:  Security, Bugfix, Enhancement.

   When it does not match up, the packages in the errata are reflected as applicable updates, but there is no indication of the counts of outstanding errata to be applied to a Content Host

4. Why does the customer need this? (List the business requirements here)

   To be able to accurately view a Content Host and see what types, and how many, errata are outstanding to the Content Host.

5. How would the customer like to achieve this? (List the functional requirements here)

   This could probably be achieved a number of ways.   One suggestion would be to map some of the common ones to the existing Red Hat Errata types.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

   Errata of non-RedHat types will show as counts in the Installable Errata views on the Content Host details page and Content Hosts' listing.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

   No.

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

   No

9. Is the sales team involved in this request and do they have any additional input?

   No

10. List any affected packages or components.

11. Would the customer be able to assist in testing this functionality if implemented?

   Yes

Comment 2 Bryan Kearney 2018-11-06 15:47:42 UTC
*** Bug 1222034 has been marked as a duplicate of this bug. ***

Comment 4 Karl Abbott 2018-11-13 14:20:46 UTC
Customer is also asking that they have the ability to filter on these errata types as well.

Cheers,
Karl

Comment 7 Pavel Moravec 2019-12-16 13:36:12 UTC
This also affects ability to filter out errata based on time only (i.e. "exclude errata newer than <date>"). The reason is, this filter already contains the check for errata type, inherently.

Comment 12 Mike McCune 2021-03-11 18:51:00 UTC
Upon review of our valid but aging backlog the Satellite Team has concluded that this Bugzilla does not meet the criteria for a resolution in the near term, and are planning to close in one month's time. If you have any concerns about this, please contact your Red Hat Account team.  Thank you.

Comment 13 Mike McCune 2021-04-13 17:40:05 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact your Red Hat Account Team. Thank you.

Comment 15 Charles Slivkoff 2021-08-30 15:11:58 UTC
As we have recently deployed a sw release management cycle utilizing content views, the fact that the EPEL repository publishes errata lead us to believe that the errata could be used as filters for the content views.

I could find no way to workaround this limitation while trying to filter on dates.  The 3 options listed, "security", "bugfix", and "enhancement", do not cover all content. There is no way to request "no type filter" either. One of these must be selected.

In addition, the www.mysatellite.com/errata search UI provides `type` and FIVE options, adding "newpackage" and "unspecified". 

At minimum, I would like to have the restriction of "type" removed from the content view filter definition.  That is, allow all THREE checkboxes to be unselected, or provide a FOURTH as "any".


Note You need to log in before you can comment on or make changes to this bug.